Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.avtransport.lastchange
Class AVTransportVariable.TransportState

    java.lang.Object
      org.fourthline.cling.support.lastchange.EventedValue<E>
          org.fourthline.cling.support.lastchange.EventedValueEnum<TransportState>
              org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.TransportState

Enclosing class:
  AVTransportVariable

    public static class AVTransportVariable.TransportState

extends EventedValueEnum<TransportState>

Field Summary

Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`AVTransportVariable.TransportState(Map.Entry<String,String>[] attributes)`
`AVTransportVariable.TransportState(TransportState avTransportState)`

Method Summary
`protected TransportState` | `enumValueOf(String s)`

Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnum
`getDatatype, toString, valueOf`

Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AVTransportVariable.TransportState

    public AVTransportVariable.TransportState(TransportState avTransportState)

### AVTransportVariable.TransportState

    public AVTransportVariable.TransportState(Map.Entry<String,String>[] attributes)

Method Detail

### enumValueOf

    protected TransportState enumValueOf(String s)

  Specified by:
    `enumValueOf` in class `EventedValueEnum<TransportState>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.